org.eclipse.jgit.errors

## Class TranslationBundleLoadingException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.eclipse.jgit.errors.TranslationBundleException
        - - org.eclipse.jgit.errors.TranslationBundleLoadingException

All Implemented Interfaces:
  Serializable

    public class TranslationBundleLoadingException
    extends TranslationBundleException

This exception will be thrown when a translation bundle loading fails.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TranslationBundleLoadingException(Class bundleClass, Locale locale, Exception cause)` Construct a `TranslationBundleLoadingException` for the specified bundle class and locale.

### Method Summary

### Methods inherited from class org.eclipse.jgit.errors.TranslationBundleException

`getBundleClass, getLocale`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TranslationBundleLoadingException

    public TranslationBundleLoadingException(Class bundleClass,
                                     Locale locale,
                                     Exception cause)

Construct a `TranslationBundleLoadingException` for the specified bundle class and locale.

Parameters:
  `bundleClass` - the bundle class for which the loading failed
  `locale` - the locale for which the loading failed
  `cause` - the original exception thrown from the `ResourceBundle.getBundle(String, Locale)` method.